/*	errorDefines.h

	Copyright 2008 Fred Cooke

	This file is part of the FreeEMS project.

	FreeEMS software is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	FreeEMS software is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with any FreeEMS software.  If not, see <http://www.gnu.org/licenses/>.

	We ask that if you make any changes to this file you send them upstream to us at admin@diyefi.org

	Thank you for choosing FreeEMS to run your engine! */

/* Header file multiple inclusion protection courtesy eclipse Header Template	*/
/* and http://gcc.gnu.org/onlinedocs/gcc-3.1.1/cpp/ C pre processor manual		*/
#ifndef FILE_ERRORDEFINES_H_SEEN
#define FILE_ERRORDEFINES_H_SEEN


/* TODO Introduce some structure to the numbering such that they can be interpretted somewhat without a chart */


/* Unconfigured options */
#define IAT_NOT_CONFIGURED_CODE			0x1000
#define CHT_NOT_CONFIGURED_CODE			0x1001
#define TPS_NOT_CONFIGURED_CODE			0x1002
#define EGO_NOT_CONFIGURED_CODE			0x1003
#define BRV_NOT_CONFIGURED_CODE			0x1004
#define MAP_NOT_CONFIGURED_CODE			0x1005
#define AAP_NOT_CONFIGURED_CODE			0x1006
#define MAT_NOT_CONFIGURED_CODE			0x1007
#define EGO2_NOT_CONFIGURED_CODE		0x1008
#define IAP_NOT_CONFIGURED_CODE			0x1009
#define LOAD_NOT_CONFIGURED_CODE		0x100A
#define AIRFLOW_NOT_CONFIGURED_CODE		0x100B
#define BPW_NOT_CONFIGURED_CODE			0x100C


/* Badly configured options */
#define VE_TABLE_MAIN_LOAD_LENGTH_TOO_LONG	0x2000
#define VE_TABLE_MAIN_RPM_LENGTH_TOO_LONG	0x2001
#define VE_TABLE_MAIN_MAIN_LENGTH_TOO_LONG	0x2002
#define BRV_MAX_TOO_LARGE					0x2003


/* Flash burning error codes */
//#define


/* Communications error codes */
//#define


#else
	/* let us know if we are being untidy with headers */
	#warning "Header file ERRORDEFINES_H seen before, sort it out!"
/* end of the wrapper ifdef from the very top */
#endif
